package com.dev.swms.server.model.base;

import java.util.Date;

import com.dev.energy.server.model.Entity;
import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;

public class Pilot extends Entity {
	/**
	 * @Description：司机
	 * @author  dev
	 * @Date：2009-2-11
	 */
	private static final long serialVersionUID = 1L;
	private String code;//工号;
	private String name;//姓名;
	private String sex;//性别;
	private String idCard;//身份证号;
	private Date driveDate;//驾照领取时间;
	private String driveCardType;//驾照类型;
	private Contact contact;//联系方式;
	private boolean disabled = false;//是否有效
	private String description;//描述
	
	public int hashCode() {
		return new HashCodeBuilder().append(code).toHashCode();
	}

	public boolean equals(final Object other) {
		if (!(other instanceof Pilot))
			return false;
		Pilot castOther = (Pilot) other;
		return new EqualsBuilder().append(code, castOther.code).isEquals();
	}
	
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public Contact getContact() {
		return contact;
	}
	public void setContact(Contact contact) {
		this.contact = contact;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public boolean isDisabled() {
		return disabled;
	}
	public void setDisabled(boolean disabled) {
		this.disabled = disabled;
	}
	public String getDriveCardType() {
		return driveCardType;
	}
	public void setDriveCardType(String driveCardType) {
		this.driveCardType = driveCardType;
	}
	public Date getDriveDate() {
		return driveDate;
	}
	public void setDriveDate(Date driveDate) {
		this.driveDate = driveDate;
	}
	public String getIdCard() {
		return idCard;
	}
	public void setIdCard(String idCard) {
		this.idCard = idCard;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getSex() {
		return sex;
	}
	public void setSex(String sex) {
		this.sex = sex;
	}

}
